"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelValue = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const typography_1 = require("../typography");
const defaultStyles = react_native_1.StyleSheet.create({
    root: {
        maxWidth: '100%',
        flexDirection: 'row',
        alignItems: 'center',
    },
});
/**
 * [ChannelValue](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--channel-value) component
 *
 * Used to show a stylized value and its units.
 * You may also include an icon.
 */
exports.ChannelValue = (props) => {
    const { value, fontSize = 16, IconClass, color, units, prefix = false, styles = {}, style, IconProps = {}, iconColor: iconColorProp, iconSize: iconSizeProp, theme: themeOverride, ...viewProps } = props;
    const theme = react_native_paper_1.useTheme(themeOverride);
    // Compatibility to facilitate updates
    const iconColor = iconColorProp || IconProps?.color;
    const iconSize = iconSizeProp || IconProps?.size;
    // Deprecation Warning
    react_1.useEffect(() => {
        if (IconClass) {
            // eslint-disable-next-line no-console
            console.warn(`Property 'IconClass' in ChannelValue component has been deprecated and will be removed in version 6.0.0. You should update to use the renamed 'icon' prop instead.`);
        }
    }, [IconClass]);
    react_1.useEffect(() => {
        if (IconProps) {
            // eslint-disable-next-line no-console
            console.warn(`Property 'IconProps' in ChannelValue component has been deprecated and will be removed in version 6.0.0. You should update to use the new 'iconColor' and 'iconSize' props instead.`);
        }
    }, [IconProps]);
    const getColor = react_1.useCallback(() => {
        if (!color)
            return theme.colors.text;
        if (Object.keys(theme.colors).indexOf(color) >= 0)
            return theme.colors[color];
        return color;
    }, [color, theme]);
    const getIcon = react_1.useCallback(() => {
        if (IconClass) {
            return (react_1.default.createElement(react_native_1.View, { style: [{ marginRight: Math.round(fontSize / 6) }] },
                react_1.default.createElement(IconClass, { size: iconSize || fontSize, color: iconColor || getColor() })));
        }
    }, [IconClass, fontSize, getColor, iconColor, iconSize]);
    const getUnits = react_1.useCallback(() => {
        if (units) {
            return (react_1.default.createElement(typography_1.Body1, { font: 'light', fontSize: fontSize, style: [{ color: getColor() }, styles.units] }, units));
        }
    }, [units, fontSize, getColor, styles]);
    const prefixUnits = react_1.useCallback(() => {
        if ((!react_native_1.I18nManager.isRTL && prefix) || (react_native_1.I18nManager.isRTL && !prefix)) {
            return getUnits();
        }
    }, [prefix, getUnits]);
    const suffixUnits = react_1.useCallback(() => {
        if ((react_native_1.I18nManager.isRTL && prefix) || (!react_native_1.I18nManager.isRTL && !prefix)) {
            return getUnits();
        }
    }, [prefix, getUnits]);
    return (react_1.default.createElement(react_native_1.View, Object.assign({ style: [defaultStyles.root, styles.root, style] }, viewProps),
        getIcon(),
        react_1.default.createElement(typography_1.Body1, { numberOfLines: 1, ellipsizeMode: 'tail', testID: 'text-wrapper', fontSize: fontSize, style: [{ color: getColor() }] },
            prefixUnits(),
            react_1.default.createElement(typography_1.Subtitle1, { fontSize: fontSize, style: [{ color: getColor() }, styles.value] }, value),
            suffixUnits())));
};
