"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyState = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const typography_1 = require("../typography");
const BLUIColors = __importStar(require("@brightlayer-ui/colors"));
const makeStyles = (theme, fontScale) => react_native_1.StyleSheet.create({
    root: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
        padding: 16,
    },
    title: {
        textAlign: 'center',
        marginTop: 16 * fontScale,
    },
    description: {
        color: theme.dark ? theme.colors.textSecondary : theme.colors.text,
        textAlign: 'center',
    },
    actions: {
        marginTop: 16 * fontScale,
    },
});
/**
 * [EmptyState](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--empty-state) component
 *
 * Used as a placeholder when no content is available for a particular area/screen in your application.
 * It displays an icon with up to two lines of text and has an area for you to add custom actionable content or
 * calls-to-action.
 */
exports.EmptyState = (props) => {
    const { title, description, actions, IconClass, icon: iconProp, iconColor, iconSize, IconProps = {}, styles = {}, style, theme: themeOverride, ...viewProps } = props;
    const theme = react_native_paper_1.useTheme(themeOverride);
    const defaultStyles = makeStyles(theme, react_native_1.PixelRatio.getFontScale());
    // Compatibility to facilitate updates
    const Icon = iconProp || IconClass;
    // Deprecation Warning
    react_1.useEffect(() => {
        if (IconClass) {
            // eslint-disable-next-line no-console
            console.warn(`Property 'IconClass' in EmptyState component has been deprecated and will be removed in version 6.0.0. You should update to use the renamed 'icon' prop instead.`);
        }
    }, [IconClass]);
    react_1.useEffect(() => {
        if (IconProps) {
            // eslint-disable-next-line no-console
            console.warn(`Property 'IconProps' in EmptyState component has been deprecated and will be removed in version 6.0.0. You should update to use the 'iconColor' and 'iconSize' props instead.`);
        }
    }, [IconProps]);
    const normalizeIconSize = react_1.useCallback(() => {
        if (!iconSize)
            return 100;
        return Math.max(100, Math.min(200, iconSize));
    }, [iconSize]);
    const getColor = react_1.useCallback((color) => {
        if (!color)
            return theme.dark ? BLUIColors.black[200] : BLUIColors.gray[500];
        if (Object.keys(theme.colors).indexOf(color) >= 0)
            return theme.colors[color];
        return color;
    }, [theme]);
    const getIcon = react_1.useCallback(() => {
        if (Icon) {
            return react_1.default.createElement(Icon, Object.assign({ size: normalizeIconSize(), color: getColor(iconColor) }, IconProps));
        }
    }, [Icon, IconProps, normalizeIconSize, getColor, iconColor]);
    return (react_1.default.createElement(react_native_1.View, Object.assign({ style: [defaultStyles.root, styles.root, style] }, viewProps),
        getIcon(),
        react_1.default.createElement(typography_1.H6, { style: [defaultStyles.title, styles.title] }, title),
        description ? (react_1.default.createElement(typography_1.Subtitle2, { style: [defaultStyles.description, styles.description] }, description)) : null,
        actions ? react_1.default.createElement(react_native_1.View, { style: [defaultStyles.actions, styles.actions] }, actions) : null));
};
